Subject: Re: [PATCH v4 00/35] protocol version 2

From: Brandon Williams <[email-masked]>
Date: Thu, 1 Mar 2018 11:16:29 -0800

On 03/01, Junio C Hamano wrote:
> Brandon Williams <[email-masked]> writes:
> 
> > Lots of changes since v3 (well more than between v2 and v3).  Thanks for
> > all of the reviews on the last round, the series is getting more
> > polished.
> >
> >  * Eliminated the "# service" line from the response from an HTTP
> >    server.  This means that the response to a v2 request is exactly the
> >    same regardless of which transport you use!  Docs for this have been
> >    added as well.
> >  * Changed how ref-patterns work with the `ls-refs` command.  Instead of
> >    using wildmatch all patterns must either match exactly or they can
> >    contain a single '*' character at the end to mean that the prefix
> >    must match.  Docs for this have also been added.
> >  * Lots of updates to the docs.  Including documenting the
> >    `stateless-connect` remote-helper command used by remote-curl to
> >    handle the http transport.
> >  * Fixed a number of bugs with the `fetch` command, one of which didn't
> >    use objects from configured alternates.
> 
> I noticed that this round is built on top of v2.16.0-rc0.  It
> certainly makes it easier to compare against the previous round
> which was built on top of that old commit and it is very much
> appreciated that a reroll does not involve pointless rebases.
> 
> For those who are helping from sidelines, it may be ehlpful to
> mention where in the history this was developed on, though, as
> applying these on the current 'master' has a handful of small
> conflicts.
> 
> Thanks, will replace and will comment on individual patches as
> needed.

I've tried to keep building on the same base that I started with when
sending out a new version of series, mostly because I thought it was
easier to see what was different between rounds.

I can, in the future, try to remember to put the commit its based on.
Do we have any sort of guidance about the best practice here?

-- 
Brandon Williams